#!/bin/bash
# récupère la liste des packages à installer sur le se4, et les installe si ils ne le sont pas déjà.
# ne gère pas la desinstallation, cela ne sert à rien...
#

fichlog=/tmp/wpkg-$USER.log

if [ "$1" == "startup" ]; then
	packages=$(dpkg-query -W --showformat '${binary:Package} ')
	OLDIFS=$IFS
	IFS=" "
	for package in $(curl -q -F "poste=`hostname`"  http://$config_se4fs_name/wpkg/linux_out.php); do
    	    echo $packages | grep -q "^${package}$" || DEBIAN_FRONTEND=noninteractive apt-mark install $package >> $fichlog || true
	done
	IFS=$OLDIFS
fi
# configuration système des logiciels 

scripts=$(/usr/bin/curl -F "user=${USER}" -F "machine=$(hostname)" -F "action=${1}" -F "os=linux" http://se4fs/gpo/applications.php)
eval "$scripts" >> $fichlog

echo "# Fin de l'exécution des scripts de connexion." >> $fichlog
exit 0


